# std::make_error_condition(std::io_errc)

From cppreference.com
< cpp‎ | io‎ | io errc

Defined in header `<ios>` |  |
std::error_condition make_error_condition( std::io_errc e ); |  | (since C++11)

Constructs an std::error_condition object from a value of type std::io_errc as if by return std::error_condition(static_cast<int>(e), std::iostream_category()).

### Parameters

e | - | error code number

### Return value

A value of type std::error_condition that holds the error code number from `e` associated with the error category "iostream".

### Exceptions

`noexcept` specification:
noexcept

### Example

Run this code

    #include <iostream>
    #include <system_error>
    #include <string>

    int main()
    {
        std::error_condition ec  = std::make_error_condition(std::io_errc::stream);
        std::cout << "error condition for io_errc::stream has value " << ec.value()
                  << "\nand message \"" << ec.message() << "\"\n";
    }

Output:

    error condition for io_errc::stream has value 1
    and message "unspecified iostream_category error"

### See also

error_condition (C++11) | holds a portable error code (class)
io_errc (C++11) | the IO stream error codes (enum)

Retrieved from "http://en.cppreference.com/mwiki/index.php?title=cpp/io/io_errc/make_error_condition&oldid=91538"
Category:

- unconditionally noexcept

Hidden categories:

- Pages with unreviewed unconditional noexcept template
- Pages with unreviewed noexcept template